Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_IMR_Op Class Reference

IMR Operation Base Class. More...

`#include <tao_imr_i.h>`

Inheritance diagram for TAO_IMR_Op

[legend]
List of all members.

## Public Methods
| TAO_IMR_Op (void)
| Constructor.
virtual void | set_imr (ImplementationRepository::Administration_ptr imr)
| Sets the implrepo pointer.
virtual | ~TAO_IMR_Op (void)
| Virtual Destructor.
virtual int | parse (int argc, ACE_TCHAR **argv) = 0
| Parse arguments.
virtual int | run (void) = 0
| Do the work.
## Static Public Methods
TAO_IMR_Op* | make_op (const ACE_TCHAR *op_name)
| Factory.
## Protected Methods
void | display_server_information (const ImplementationRepository::ServerInformation &info)
| Prints out the information contained in a ServerInformation structure.
## Protected Attributes
ImplementationRepository::Administration_ptr | implrepo_
| Reference to our implementation repository.

## Detailed Description

IMR Operation Base Class.

Forward Declaration

## Constructor & Destructor Documentation

TAO_IMR_Op::TAO_IMR_Op ( | void )

| Constructor.

TAO_IMR_Op::~TAO_IMR_Op ( | void )`[virtual]`

| Virtual Destructor.

## Member Function Documentation

void TAO_IMR_Op::display_server_information ( | const ImplementationRepository::ServerInformation & info )`[protected]`

| Prints out the information contained in a ServerInformation structure. Reimplemented in TAO_IMR_Op_List.

TAO_IMR_Op * TAO_IMR_Op::make_op ( | const ACE_TCHAR * op_name )`[static]`

| Factory.

int TAO_IMR_Op::parse ( | int argc,
| ACE_TCHAR ** argv )`[pure virtual]`

| Parse arguments. Reimplemented in TAO_IMR_Op_Activate, TAO_IMR_Op_Add, TAO_IMR_Op_Autostart, TAO_IMR_Op_IOR, TAO_IMR_Op_List, TAO_IMR_Op_Remove, TAO_IMR_Op_Shutdown, and TAO_IMR_Op_Update.

int TAO_IMR_Op::run ( | void )`[pure virtual]`

| Do the work. Reimplemented in TAO_IMR_Op_Activate, TAO_IMR_Op_Add, TAO_IMR_Op_Autostart, TAO_IMR_Op_IOR, TAO_IMR_Op_List, TAO_IMR_Op_Remove, TAO_IMR_Op_Shutdown, and TAO_IMR_Op_Update.

void TAO_IMR_Op::set_imr ( | ImplementationRepository::Administration_ptr imr )`[virtual]`

| Sets the implrepo pointer.

## Member Data Documentation

ImplementationRepository::Administration_ptr TAO_IMR_Op::implrepo_`[protected]`

| Reference to our implementation repository.

The documentation for this class was generated from the following files:

- tao_imr_i.h
- tao_imr_i.cpp